https://git.savannah.gnu.org/cgit/parallel.git/commit/?id=2ae4b179ac6caf887af37b1e86ec6cbd8c5706f8
https://bugs.gentoo.org/856079
https://bugs.gentoo.org/856076

From 2ae4b179ac6caf887af37b1e86ec6cbd8c5706f8 Mon Sep 17 00:00:00 2001
From: Ole Tange <ole@tange.dk>
Date: Sat, 2 Jul 2022 01:54:21 +0800
Subject: Packaged for old RedHats and SuSEs.

--- a/Makefile.am
+++ b/Makefile.am
@@ -167,12 +167,20 @@ pack_unpack_and_test_build:
 	cd parallel-$(YYYYMMDD) && \
 	./configure && make -j && sudo make -j install
 
-zshcompletiondir=${datarootdir}/zsh/site-functions
+# This ought to be correct, but fails on Centos
+# bashcompletiondir=$(DESTDIR)${datarootdir}/bash-completion/completions
+# zshcompletiondir=$(DESTDIR)${datarootdir}/zsh/site-functions
+bashcompletiondir=$(DESTDIR)${prefix}/share/bash-completion/completions
+zshcompletiondir=$(DESTDIR)${prefix}/share/zsh/site-functions
+bashcompletion=${bashcompletiondir}/parallel
 zshcompletion=${zshcompletiondir}/_parallel
 install-data-hook:
-	mkdir -p ${datarootdir}/bash-completion/completions
-	mkdir -p ${zshcompletiondir}
-	parallel --shell-completion bash > ${datarootdir}/bash-completion/completions/parallel
+	mkdir -p ${zshcompletiondir} ${bashcompletiondir}
+	src/parallel --shell-completion bash > ${bashcompletion}
+# Make zsh eval the --shell-completion code dynamically so if
+# a newer version of GNU Parallel is installed by a normal
+# user, this newer version will generate the
+# --shell-completion code.
 	echo '#compdef parallel' > ${zshcompletion}
 	echo '(( $$+functions[_comp_parallel] )) ||' >> ${zshcompletion}
 	echo '  eval "$$(parallel --shell-completion auto)" &&' >> ${zshcompletion}
--- a/Makefile.in
+++ b/Makefile.in
@@ -281,7 +281,13 @@ top_build_prefix = @top_build_prefix@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
 SUBDIRS = src
-zshcompletiondir = ${datarootdir}/zsh/site-functions
+
+# This ought to be correct, but fails on Centos
+# bashcompletiondir=$(DESTDIR)${datarootdir}/bash-completion/completions
+# zshcompletiondir=$(DESTDIR)${datarootdir}/zsh/site-functions
+bashcompletiondir = $(DESTDIR)${prefix}/share/bash-completion/completions
+zshcompletiondir = $(DESTDIR)${prefix}/share/zsh/site-functions
+bashcompletion = ${bashcompletiondir}/parallel
 zshcompletion = ${zshcompletiondir}/_parallel
 EXTRA_DIST = CITATION CITATION.cff CREDITS LICENSES/CC-BY-SA-4.0.txt LICENSES/GFDL-1.3-or-later.txt LICENSES/GPL-3.0-or-later.txt
 all: config.h
@@ -929,9 +935,12 @@ pack_unpack_and_test_build:
 	cd parallel-$(YYYYMMDD) && \
 	./configure && make -j && sudo make -j install
 install-data-hook:
-	mkdir -p ${datarootdir}/bash-completion/completions
-	mkdir -p ${zshcompletiondir}
-	parallel --shell-completion bash > ${datarootdir}/bash-completion/completions/parallel
+	mkdir -p ${zshcompletiondir} ${bashcompletiondir}
+	src/parallel --shell-completion bash > ${bashcompletion}
+# Make zsh eval the --shell-completion code dynamically so if
+# a newer version of GNU Parallel is installed by a normal
+# user, this newer version will generate the
+# --shell-completion code.
 	echo '#compdef parallel' > ${zshcompletion}
 	echo '(( $$+functions[_comp_parallel] )) ||' >> ${zshcompletion}
 	echo '  eval "$$(parallel --shell-completion auto)" &&' >> ${zshcompletion}
--- a/src/parallel.pod
+++ b/src/parallel.pod
@@ -5654,7 +5654,10 @@ the currently running jobs are finished before exiting.
 =item $PARALLEL_HOME
 
 Dir where GNU B<parallel> stores config files, semaphores, and caches
-information between invocations. Default: $HOME/.parallel.
+information between invocations. If set to a non-existent dir, the dir
+will be created.
+
+Default: $HOME/.parallel.
 
 
 =item $PARALLEL_ARGHOSTGROUPS
